/*
 * Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
 *
 * This file is part of NRAO Workspaces.
 *
 * Workspaces is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Workspaces is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
 */
import { Component, Input, OnInit } from "@angular/core";
import { CapabilityRequest } from "../../../../model/capability-request";
import { Capability } from "../../../../model/capability";

@Component({
  selector: "app-capability-definition",
  templateUrl: "./capability-definition.component.html",
  styleUrls: ["./capability-definition.component.scss"],
})
export class CapabilityDefinitionComponent implements OnInit {
  @Input() capabilityRequest: CapabilityRequest;
  @Input() capability: Capability;
  public capabilityStepList: Array<Array<string>>;

  constructor() {}

  ngOnInit(): void {
    this.capabilityStepList = this.stepStringToList(this.capability.steps);
  }

  stepStringToList(stepString: string): Array<Array<string>> {
    const step_list = stepString.split("\n");
    const splitStepList = [];
    step_list.forEach((step) => splitStepList.push(step.split(" ")));

    return splitStepList;
  }
}
